# imageio.plugins.pillow

Read/Write images using Pillow/PIL.

Backend Library: Pillow

Plugin that wraps the the Pillow library. Pillow is a friendly fork of PIL (Python Image Library) and supports reading and writing of common formats (jpg, png, gif, tiff, …). For, the complete list of features and supported formats please refer to pillows official docs (see the Backend Library link).

## Parameters

requestRequest

  A request object representing the resource to be operated on.

## Methods

`PillowPlugin.read`(*[, index, mode, rotate, ...]) | Parses the given URI and creates a ndarray from it.
`PillowPlugin.write`(ndimage, *[, mode, ...]) | Write an ndimage to the URI specified in path.
`PillowPlugin.iter`(*[, mode, rotate, ...]) | Iterate over all ndimages/frames in the URI
`PillowPlugin.get_meta`(*[, index]) |

previous

imageio.plugins.opencv.OpenCVPlugin.metadata

next

imageio.plugins.pillow.PillowPlugin.read